Core - Bug # 55182

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Task # 55179 (Closed): Optimize SQL Performance

Status: Closed Priority: Should have
Author: Ingo Schmitt Category: Performance
Created: 2014-01-20 Assigned To: Ingo Schmitt
Updated: 2014-03-11 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Speedup selection of storage

Description

the file storgae is selected by
SELECT * FROM sys_file_storage WHERE driver ='S' AND sys_file_storage.deleted=N AND sys_file_storage.hidden=N AND
sys_file_storage.deleted=N

Since there is no index on driver the query is executed without the query cache.

Solution add index in driver since there is already an index on hidden and deleted

History

#1 - 2014-02-18 09:46 - Ingo Schmitt
- Estimated time changed from 0.50 to 2.00

#2 - 2014-03-11 18:00 - Ingo Schmitt

SQL is no more present with current master. So Close

#3 - 2014-03-11 18:00 - Ingo Schmitt
- Status changed from New to Closed
- % Done changed from 0 to 100
